Bug 189084 - Review Request: perl-Graphics-ColorNames
Review Request: perl-Graphics-ColorNames
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 189081
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-15 15:26 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-07 17:01:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-04-15 15:26:16 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Graphics-ColorNames/perl-Graphics-ColorNames.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Graphics-ColorNames-1.06-1.src.rpm
Description:
This module defines RGB values for common color names. The intention is to
(1) provide a common module that authors can use with other modules to
specify colors; and (2) free module authors from having to "re-invent the
wheel" whenever they decide to give the users the option of specifying a
color by name rather than RGB value.
Comment 1 Jason Tibbitts 2006-04-23 00:49:17 EDT
One duplicated dependency:

perl(Module::Load)
perl(Module::Load) >= 0.1

not a blocker.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   0551cb0b17babcbdef284d5b502731a4  Graphics-ColorNames-1.06.tar.gz
   0551cb0b17babcbdef284d5b502731a4  Graphics-ColorNames-1.06.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock (development, i386).
* rpmlint is silent.
O final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Steven Pritchard 2006-05-07 17:01:15 EDT
Imported into CVS, branches created, and builds requested.

Note You need to log in before you can comment on or make changes to this bug.